## API Report File for "@genesislcap/g2plot-chart"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { Area } from '@antv/g2plot';
import { AreaOptions } from '@antv/g2plot';
import { Bar } from '@antv/g2plot';
import { BarOptions } from '@antv/g2plot';
import { BaseDatasource } from '@genesislcap/foundation-ui';
import type { BaseDatasourceErrorHandlingOptions } from '@genesislcap/foundation-ui';
import { Column } from '@antv/g2plot';
import { ColumnOptions } from '@antv/g2plot';
import type { Container } from '@microsoft/fast-foundation';
import { Controller } from '@microsoft/fast-element';
import { DOMContainer } from '@genesislcap/foundation-utils';
import { DualAxes } from '@antv/g2plot';
import { DualAxesOptions } from '@antv/g2plot';
import { ElementStyles } from '@microsoft/fast-element';
import { FieldMetadata } from '@genesislcap/foundation-comms';
import { FoundationElement } from '@microsoft/fast-foundation';
import { FoundationElementRegistry } from '@microsoft/fast-foundation';
import { FoundationLayoutContainer } from '@genesislcap/foundation-utils';
import { LayoutCacheContainer } from '@genesislcap/foundation-utils';
import { Line } from '@antv/g2plot';
import { LineOptions } from '@antv/g2plot';
import { Mix } from '@antv/g2plot';
import { MixOptions } from '@antv/g2plot';
import { OverrideFoundationElementDefinition } from '@microsoft/fast-foundation';
import { Pie } from '@antv/g2plot';
import { PieOptions } from '@antv/g2plot';
import { Rose } from '@antv/g2plot';
import { RoseOptions } from '@antv/g2plot';
import { Scatter } from '@antv/g2plot';
import { ScatterOptions } from '@antv/g2plot';
import { Stock } from '@antv/g2plot';
import { StockOptions } from '@antv/g2plot';
import { ViewTemplate } from '@microsoft/fast-element';

// @public
export type ChartConfig = LineOptions | AreaOptions | BarOptions | ColumnOptions | PieOptions | DualAxesOptions | RoseOptions | ScatterOptions | StockOptions | MixOptions;

// Warning: (ae-forgotten-export) The symbol "ChartDatasource_base" needs to be exported by the entry point index.d.ts
//
// @public
export class ChartDatasource extends ChartDatasource_base {
    chartFields: string;
    // @internal (undocumented)
    connectedCallback(): Promise<void>;
    // @internal (undocumented)
    disconnectedCallback(): void;
    // @internal (undocumented)
    fetchGenesisData(withFullInit?: boolean): Promise<void>;
    // @internal (undocumented)
    handleError(params: BaseDatasourceErrorHandlingOptions): void;
    // @internal (undocumented)
    get hasValidChartFields(): boolean;
    // @internal (undocumented)
    get hasValidServerFields(): boolean;
    isGroup: boolean;
    isStack: boolean;
    reduced: boolean;
    serverFields: string;
    showFormattedTime: boolean;
}

// @public
export type ChartDatasourceErrorEvent = CustomEvent<ChartDatasourceErrorEventDetail>;

// @public
export type ChartDatasourceErrorEventDetail = {
    message: string;
};

// @public
export const chartDatasourceEventNames: {
    error: string;
};

// @public
export type ChartErrorEvent = ChartDatasourceErrorEvent | CustomEvent<ChartErrorItem<any>>;

// @public
export interface ChartErrorItem<ChartErrorItemDetailType> {
    // (undocumented)
    detail: ChartErrorItemDetailType;
    // (undocumented)
    type: ChartErrorTypes;
}

// @public
export const chartErrorNames: {
    readonly datasource: "datasource";
    readonly unknown: "unknown";
};

// @public
export type ChartErrorTypes = keyof typeof chartErrorNames;

// Warning: (ae-internal-missing-underscore) The name "chartEventNames" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export const chartEventNames: {
    datasourceErrorClose: string;
};

// Warning: (ae-internal-missing-underscore) The name "ChartEventsListeners" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export type ChartEventsListeners = {
    key: string;
    action: (event: Event) => void;
}[];

// @public
export type ChartModels = Line | Area | Bar | Column | Pie | DualAxes | Rose | Scatter | Stock | Mix;

// @public
export const chartsGradients: {
    rapidBlue: string;
    rapidGreen: string;
    rapidRed: string;
    rapidPortage: string;
    rapidAlabaster: string;
    rapidSalomie: string;
    rapidMelon: string;
    rapidDodgerBlue: string;
    rapidIce: string;
    rapidViolet: string;
};

// @public
export type ChartTypes = 'line' | 'area' | 'column' | 'bar' | 'pie' | 'donut' | 'dualaxes' | 'rose' | 'scatter' | 'stock' | 'mix';

// @public
export const defaultChartConfig: {};

// @public
export const defaultChartFields = "groupBy value";

// @public
export const defaultSeriesChartField = "series";

// @public
export const foundationChartShadowOptions: ShadowRootInit;

// Warning: (ae-forgotten-export) The symbol "G2PlotChart_base" needs to be exported by the entry point index.d.ts
//
// @public
export class G2PlotChart extends G2PlotChart_base {
    // @internal
    constructor();
    // @internal (undocumented)
    chartContainer: HTMLElement;
    config: ChartConfig;
    // @internal (undocumented)
    configChanged(): void;
    // @internal
    connectedCallback(): void;
    data: any[];
    // @internal (undocumented)
    dataChanged(oldValue: any[], newValue: any[]): void;
    // @internal
    deepClone(): Node;
    // @internal (undocumented)
    disconnectedCallback(): void;
    // @internal (undocumented)
    errorItems: ChartErrorItem<ChartErrorEvent['detail']>[];
    // @internal (undocumented)
    eventHandler: (e: any) => void;
    // @internal
    renderChart(): void;
    type: ChartTypes;
}

// Warning: (ae-internal-missing-underscore) The name "g2plotChart" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export const g2plotChart: (overrideDefinition?: OverrideFoundationElementDefinition<    {
baseName: string;
styles: ElementStyles;
template: ViewTemplate<any, any>;
shadowOptions: ShadowRootInit;
}>) => FoundationElementRegistry<    {
baseName: string;
styles: ElementStyles;
template: ViewTemplate<any, any>;
shadowOptions: ShadowRootInit;
}, typeof G2PlotChart>;

// @public
export const g2plotChartsComponents: {
    g2plotChart: (overrideDefinition?: OverrideFoundationElementDefinition<    {
    baseName: string;
    styles: ElementStyles;
    template: ViewTemplate<any, any>;
    shadowOptions: ShadowRootInit;
    }>) => FoundationElementRegistry<    {
    baseName: string;
    styles: ElementStyles;
    template: ViewTemplate<any, any>;
    shadowOptions: ShadowRootInit;
    }, G2PlotChart>;
    register(container?: Container, ...rest: any[]): void;
};

// @public
export const g2plotChartTemplate: ViewTemplate;

// Warning: (ae-internal-missing-underscore) The name "registerRapidShape" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export const registerRapidShape: () => void;

// (No @packageDocumentation comment for this package)

```
